org.eclipse.graphiti.mm.algorithms.styles

## Interface Style

All Superinterfaces:
  AbstractStyle, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, StyleContainer

All Known Implementing Classes:
  StyleImpl

    public interface Style
    extends StyleContainer, AbstractStyle

A representation of the model object ' Style'.

See Also:
  `StylesPackage.getStyle()`

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Integer` `getAngle()` Deprecated. This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
`String` `getDescription()` Returns the value of the 'Description' attribute.
`Font` `getFont()` Returns the value of the 'Font' reference.
`Orientation` `getHorizontalAlignment()` Returns the value of the 'Horizontal Alignment' attribute.
`String` `getId()` Returns the value of the 'Id' attribute.
`Boolean` `getProportional()` Returns the value of the 'Proportional' attribute.
`Double` `getRotation()` Returns the value of the 'Rotation' attribute.
`Boolean` `getStretchH()` Returns the value of the 'Stretch H' attribute.
`Boolean` `getStretchV()` Returns the value of the 'Stretch V' attribute.
`StyleContainer` `getStyleContainer()` Returns the value of the 'Style Container' container reference.
`Orientation` `getVerticalAlignment()` Returns the value of the 'Vertical Alignment' attribute.
`void` `setAngle(Integer value)` Deprecated. This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
`void` `setDescription(String value)` Sets the value of the '`Description`' attribute.
`void` `setFont(Font value)` Sets the value of the '`Font`' reference.
`void` `setHorizontalAlignment(Orientation value)` Sets the value of the '`Horizontal Alignment`' attribute.
`void` `setId(String value)` Sets the value of the '`Id`' attribute.
`void` `setProportional(Boolean value)` Sets the value of the '`Proportional`' attribute.
`void` `setRotation(Double value)` Sets the value of the '`Rotation`' attribute.
`void` `setStretchH(Boolean value)` Sets the value of the '`Stretch H`' attribute.
`void` `setStretchV(Boolean value)` Sets the value of the '`Stretch V`' attribute.
`void` `setStyleContainer(StyleContainer value)` Sets the value of the '`Style Container`' container reference.
`void` `setVerticalAlignment(Orientation value)` Sets the value of the '`Vertical Alignment`' attribute.

### Methods inherited from interface org.eclipse.graphiti.mm.StyleContainer

`getStyles`

### Methods inherited from interface org.eclipse.graphiti.mm.algorithms.styles.AbstractStyle

`getBackground, getFilled, getForeground, getLineStyle, getLineVisible, getLineWidth, getRenderingStyle, getTransparency, isSetFilled, isSetLineVisible, setBackground, setFilled, setForeground, setLineStyle, setLineVisible, setLineWidth, setRenderingStyle, setTransparency, unsetFilled, unsetLineVisible`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getId

    String getId()

Returns the value of the 'Id' attribute.

If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Id' attribute.
See Also:
  `setId(String)`, `StylesPackage.getStyle_Id()`

#### setId

    void setId(String value)

Sets the value of the '`Id`' attribute.

Parameters:
  `value` - the new value of the 'Id' attribute.
See Also:
  `getId()`

#### getDescription

    String getDescription()

Returns the value of the 'Description' attribute.

If the meaning of the 'Description' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Description' attribute.
See Also:
  `setDescription(String)`, `StylesPackage.getStyle_Description()`

#### setDescription

    void setDescription(String value)

Sets the value of the '`Description`' attribute.

Parameters:
  `value` - the new value of the 'Description' attribute.
See Also:
  `getDescription()`

#### getFont

    Font getFont()

Returns the value of the 'Font' reference.

If the meaning of the 'Font' containment reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Font' reference.
See Also:
  `setFont(Font)`, `StylesPackage.getStyle_Font()`

#### setFont

    void setFont(Font value)

Sets the value of the '`Font`' reference.

Parameters:
  `value` - the new value of the 'Font' reference.
See Also:
  `getFont()`

#### getHorizontalAlignment

    Orientation getHorizontalAlignment()

Returns the value of the 'Horizontal Alignment' attribute. The literals are from the enumeration `Orientation`.

If the meaning of the 'Horizontal Alignment' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Horizontal Alignment' attribute.
See Also:
  `Orientation`, `setHorizontalAlignment(Orientation)`, `StylesPackage.getStyle_HorizontalAlignment()`

#### setHorizontalAlignment

    void setHorizontalAlignment(Orientation value)

Sets the value of the '`Horizontal Alignment`' attribute.

Parameters:
  `value` - the new value of the 'Horizontal Alignment' attribute.
See Also:
  `Orientation`, `getHorizontalAlignment()`

#### getVerticalAlignment

    Orientation getVerticalAlignment()

Returns the value of the 'Vertical Alignment' attribute. The literals are from the enumeration `Orientation`.

If the meaning of the 'Vertical Alignment' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Vertical Alignment' attribute.
See Also:
  `Orientation`, `setVerticalAlignment(Orientation)`, `StylesPackage.getStyle_VerticalAlignment()`

#### setVerticalAlignment

    void setVerticalAlignment(Orientation value)

Sets the value of the '`Vertical Alignment`' attribute.

Parameters:
  `value` - the new value of the 'Vertical Alignment' attribute.
See Also:
  `Orientation`, `getVerticalAlignment()`

#### getAngle

    Integer getAngle()

Deprecated. This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
Returns the value of the 'Angle' attribute.

If the meaning of the 'Angle' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Angle' attribute.
See Also:
  `setAngle(Integer)`, `StylesPackage.getStyle_Angle()`

#### setAngle

    void setAngle(Integer value)

Deprecated. This attribute exists because of compatibility (after removing old diagrams would not be readable any more). It is replaced by the new attribute rotation.
Sets the value of the '`Angle`' attribute.

Parameters:
  `value` - the new value of the 'Angle' attribute.
See Also:
  `getAngle()`

#### getStretchH

    Boolean getStretchH()

Returns the value of the 'Stretch H' attribute.

If the meaning of the 'Stretch H' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Stretch H' attribute.
See Also:
  `setStretchH(Boolean)`, `StylesPackage.getStyle_StretchH()`

#### setStretchH

    void setStretchH(Boolean value)

Sets the value of the '`Stretch H`' attribute.

Parameters:
  `value` - the new value of the 'Stretch H' attribute.
See Also:
  `getStretchH()`

#### getStretchV

    Boolean getStretchV()

Returns the value of the 'Stretch V' attribute.

If the meaning of the 'Stretch V' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Stretch V' attribute.
See Also:
  `setStretchV(Boolean)`, `StylesPackage.getStyle_StretchV()`

#### setStretchV

    void setStretchV(Boolean value)

Sets the value of the '`Stretch V`' attribute.

Parameters:
  `value` - the new value of the 'Stretch V' attribute.
See Also:
  `getStretchV()`

#### getProportional

    Boolean getProportional()

Returns the value of the 'Proportional' attribute.

If the meaning of the 'Proportional' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Proportional' attribute.
See Also:
  `setProportional(Boolean)`, `StylesPackage.getStyle_Proportional()`

#### setProportional

    void setProportional(Boolean value)

Sets the value of the '`Proportional`' attribute.

Parameters:
  `value` - the new value of the 'Proportional' attribute.
See Also:
  `getProportional()`

#### getStyleContainer

    StyleContainer getStyleContainer()

Returns the value of the 'Style Container' container reference. It is bidirectional and its opposite is '`Styles`'.

If the meaning of the 'Style Container' container reference isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Style Container' container reference.
See Also:
  `setStyleContainer(StyleContainer)`, `StylesPackage.getStyle_StyleContainer()`, `StyleContainer.getStyles()`

#### setStyleContainer

    void setStyleContainer(StyleContainer value)

Sets the value of the '`Style Container`' container reference.

Parameters:
  `value` - the new value of the 'Style Container' container reference.
See Also:
  `getStyleContainer()`

#### getRotation

    Double getRotation()

Returns the value of the 'Rotation' attribute. The default value is `"0"`.

If the meaning of the 'Rotation' attribute isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Rotation' attribute.
Since:
  0.11
See Also:
  `setRotation(Double)`, `StylesPackage.getStyle_Rotation()`

#### setRotation

    void setRotation(Double value)

Sets the value of the '`Rotation`' attribute.

Parameters:
  `value` - the new value of the 'Rotation' attribute.
Since:
  0.11
See Also:
  `getRotation()`